%define majver %(echo %version | cut -d. -f1-2)

Name:          libkvkontakte
Version:       5.0.0
Release:       1mamba
Summary:       KDE Frameworks 5 library for interation with the VK social networking site
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        https://download.kde.org/stable/libkvkontakte/%{version}/src/libkvkontakte-%{version}.tar.xz
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5WebKit-devel
BuildRequires: libgcc
BuildRequires: libkconfig-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkdewebkit-devel
BuildRequires: libki18n-devel
BuildRequires: libkio-devel
BuildRequires: libkservice-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
LibKVkontakte is a Qt5/KDE5-based C++ library implementing job classes for asynchronous interation with the VK social networking site (vk.com).

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --with-man --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
exit 0

%postun
/sbin/ldconfig
exit 0

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_kde5_libdir}/libKF5Vkontakte.so.*
%doc COPYING COPYING.LIB

%files devel
%defattr(-,root,root)
%dir %{_kde5_includedir}/Vkontakte
%{_kde5_includedir}/Vkontakte/*
%{_kde5_includedir}/kf5vkontakte_version.h
%{_kde5_libdir}/libKF5Vkontakte.so
%dir %{_kde5_libdir}/cmake/KF5Vkontakte
%{_kde5_libdir}/cmake/KF5Vkontakte/KF5Vkontakte*.cmake

%changelog
* Mon Apr 01 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.0-1mamba
- package created using the webbuild interface
